#! /usr/bin/env bash
# Args: <config-system> <arch> <version> <repo>

if [ "`whoami`" != "root" ]
then
	(>&2 echo Programm has to run as root.)
	exit 1
fi
if [ -z "$SUDO_USER" ]
then
	(>&2 echo Programm has to be run as sudo. SUDO_USER not set.)
	exit 1
fi
if [ "$#" = 4 ]
then
	REPO="$4"
fi

CONFIG_DIR=$(dirname "$0") &&
BUILD_DIR=$(sudo -u "$SUDO_USER" -H mktemp -d) &&
sudo -u "$SUDO_USER" -H mkdir -p ".flatpak-builder/ccache" &&
sudo -u "$SUDO_USER" -H mkdir -p ".flatpak-builder/downloads" &&
sudo -u "$SUDO_USER" -H mkdir -p "$BUILD_DIR/.flatpak-builder/ccache" &&
sudo -u "$SUDO_USER" -H mkdir -p "$BUILD_DIR/.flatpak-builder/downloads" &&
mount --bind ".flatpak-builder/ccache" "$BUILD_DIR/.flatpak-builder/ccache" &&
mount --bind ".flatpak-builder/downloads" "$BUILD_DIR/.flatpak-builder/downloads" &&
cd "$BUILD_DIR" &&
sudo -u "$SUDO_USER" -H "$CONFIG_DIR/build.sh" "$1" "$2" "$3" "$REPO"

RESULT=$!
umount "$BUILD_DIR/.flatpak-builder/ccache" &&
umount "$BUILD_DIR/.flatpak-builder/downloads" &&
cd &&
rm -rf "$BUILD_DIR"
exit $RESULT
