#!/usr/bin/env bash

REPO_PATH="$1"

function install {
	echo "Installing: $1/$3" >&2
	flatpak build-commit-from --gpg-sign=winebarrels@marko10-000.de --extra-collection-id=de.marko10_000.Winebarrels --no-update-summary --disable-fsync "--src-repo=$REPO_PATH" "--src-ref=runtime/$1/$2" "$REPO_PATH" "runtime/$1/$3" || (
		ostree commit --repo "$REPO_PATH" --bind-ref="runtime/$1/$2" -b "runtime/$1/$3" --fsync=none --skip-if-unchanged &&
		flatpak build-commit-from --gpg-sign=winebarrels@marko10-000.de --extra-collection-id=de.marko10_000.Winebarrels --no-update-summary --disable-fsync "--src-repo=$REPO_PATH" "--src-ref=runtime/$1/$2" "$REPO_PATH" -v "runtime/$1/$3"
	)
}

#
# SETTINGS
#
STABLE_WINE="4.0.3"
LATEST_WINE="4.21"
LATEST_STAGING_WINE="4.21-staging"

#
# Install
#
install "de.marko10_000.winebarrels.WineSdk" "x86_64/$STABLE_WINE" "x86_64/stable"
install "de.marko10_000.winebarrels.WineSdk" "i386/$STABLE_WINE" "i386/stable"
install "de.marko10_000.winebarrels.Wine" "x86_64/$STABLE_WINE" "x86_64/stable"
install "de.marko10_000.winebarrels.Wine" "i386/$STABLE_WINE" "i386/stable"

install "de.marko10_000.winebarrels.WineSdk" "x86_64/$LATEST_WINE" "x86_64/latest"
install "de.marko10_000.winebarrels.WineSdk" "i386/$LATEST_WINE" "i386/latest"
install "de.marko10_000.winebarrels.Wine" "x86_64/$LATEST_WINE" "x86_64/latest"
install "de.marko10_000.winebarrels.Wine" "i386/$LATEST_WINE" "i386/latest"

install "de.marko10_000.winebarrels.WineSdk" "x86_64/$LATEST_STAGING_WINE" "x86_64/latest-staging"
install "de.marko10_000.winebarrels.WineSdk" "i386/$LATEST_STAGING_WINE" "i386/latest-staging"
install "de.marko10_000.winebarrels.Wine" "x86_64/$LATEST_STAGING_WINE" "x86_64/latest-staging"
install "de.marko10_000.winebarrels.Wine" "i386/$LATEST_STAGING_WINE" "i386/latest-staging"
